import { PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { Connection } from '../Connection';
import { TransactionsBatch } from '../utils/transactions-batch';
interface ICancelBidParams {
    connection: Connection;
    wallet: Wallet;
    auctionManager: PublicKey;
    bidderPotToken: PublicKey;
    destAccount?: PublicKey;
}
interface ICancelBidResponse {
    txId: string;
}
export declare const cancelBid: ({ connection, wallet, auctionManager, bidderPotToken, destAccount, }: ICancelBidParams) => Promise<ICancelBidResponse>;
interface ICancelBidTransactionsParams {
    destAccount: PublicKey;
    bidder: PublicKey;
    accountRentExempt: number;
    bidderPotKey: PublicKey;
    bidderPotToken: PublicKey;
    bidderMetaKey: PublicKey;
    auctionStrKey: string;
    auctionExtendedKey: PublicKey;
    auctionTokenMintStrKey: string;
    vaultStrKey: string;
}
export declare const getCancelTransactions: ({ destAccount, bidder, accountRentExempt, bidderPotKey, bidderPotToken, bidderMetaKey, auctionStrKey, auctionExtendedKey, auctionTokenMintStrKey, vaultStrKey, }: ICancelBidTransactionsParams) => Promise<TransactionsBatch>;
export {};
